# Class: SOPClass

## (abstract) metadata.SOPClass(options)

DICOM Service Object Pair (SOP) Class.

## Constructor

#### (abstract) new SOPClass(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Description
--- | --- | ---
`metadata` | Object | Metadata of a DICOM SOP instance in DICOM JSON format

Source:
  - metadata.js, line 416

### Members

#### bulkdataReferences

Get references to bulkdata of instance in DICOM JSON format.

Source:
  - metadata.js, line 450

#### json

Get metadata of instance in DICOM JSON format. The metadata may include bulkdata references via "BulkDataURI".

Source:
  - metadata.js, line 441